# CONSTRUIMOS LA APP DEMO CON UNA IMAGEN OFICIAL DE MAVEN Y LA IDENTIFICAMOS COMO BUILDER
FROM maven:3.5-alpine as builder

# COPIAMOS APP DEMO EN / DE LA IMAGEN
COPY demo /demo

# NOS UBICAMNOS EN LA CARPETA COPIADA Y EJECUTAMOS MVN PACKAGE PARA GENERAR JAR
RUN cd /demo && mvn package

# AHORA DESDE UNA IMAGEN JDK EJECUTAMOS EL JAR GENERADO
FROM openjdk:8-alpine

#COPIAMOS JAR GENERADO EN BUILDER Y LO COPIAMOS EN ESTA IMAGEN CON NOMBRE DEMO.JAR
COPY --from=builder /demo/target/demo-0.0.1-SNAPSHOT.jar /opt/demo.jar

#EJECUTAMOS JAR
CMD java -jar /opt/demo.jar
